

# Node Setup Wizard

[![Node.js](https://nodejs.org/static/images/logo.svg)](https://nodejs.org/)

  Quickly set up a structured Node.js project with a predefined folder structure and necessary configurations.

  [![NPM Version][npm-version-image]][npm-url]
  [![NPM Install Size][npm-install-size-image]][npm-install-size-url]
  [![NPM Downloads][npm-downloads-image]][npm-downloads-url]


## Installation

This is a [Node.js](https://nodejs.org/en/) module available through the
[npm registry](https://www.npmjs.com/).

Before installing, [download and install Node.js](https://nodejs.org/en/download/).
Node.js 0.10 or higher is required.



Installation is done using the
[`npm install` command](https://docs.npmjs.com/getting-started/installing-npm-packages-locally):

```console
$ npm install -g create-node-structure
```


## Features

- Configurable project folder structure
- Optional addition of commonly used folders and files
- Interactive setup with colorful prompts
- Supports adding configuration files, routes, controllers, middleware, and more


## Quick Start

The quickest way to get started with Node Setup Wizard is to utilize the executable create-node-structure to generate an application as shown below:

Install the executable globally:

```console
$ npm install -g create-node-structure
```

  Create the app:

```console
$ create-node-structure my-awesome-project
```

Navigate to the project directory:

```console
$ cd my-awesome-project
```

NPM init for new project:

```console
$ npm init -y
```


Install Dependencies:-

```console
$ npm install express mongoose jsonwebtoken
```


Environment Variables:-

Replace the secret key in the .env file with your own secret key:


```console
SECRET_KEY=your-secret-key
```

Start the server:

```console
$ npm start
```

  View the website at: http://localhost:3000



## People

The original author of create-node-structure  is [Jenish Gondaliya](https://github.com/Jenishgondaliya)

## License

  [MIT](LICENSE)


